# stp_dither_matrix_impl_t Struct Reference

`#include <dither.h>`

## Data Fields

int | base
int | exp
int | x_size
int | y_size
int | total_size
int | last_x
int | last_x_mod
int | last_y
int | last_y_mod
int | index
int | i_own
int | x_offset
int | y_offset
unsigned | fast_mask
unsigned * | matrix

## Field Documentation

int stp_dither_matrix_impl_t::base

int stp_dither_matrix_impl_t::exp

int stp_dither_matrix_impl_t::x_size

int stp_dither_matrix_impl_t::y_size

int stp_dither_matrix_impl_t::total_size

int stp_dither_matrix_impl_t::last_x

int stp_dither_matrix_impl_t::last_x_mod

int stp_dither_matrix_impl_t::last_y

int stp_dither_matrix_impl_t::last_y_mod

int stp_dither_matrix_impl_t::index

int stp_dither_matrix_impl_t::i_own

int stp_dither_matrix_impl_t::x_offset

int stp_dither_matrix_impl_t::y_offset

unsigned stp_dither_matrix_impl_t::fast_mask

unsigned* stp_dither_matrix_impl_t::matrix

The documentation for this struct was generated from the following file:

- include/gutenprint/dither.h